Subject: bug#62198: eglot feature request: set Initialize.ClientInfo.{Name, Version}

From: João Távora <[email-masked]>
Date: Thu, 3 Aug 2023 11:15:50 +0100

Sorry,

I think Felicián's patch looks good, and we should push it to master.

João

On Thu, Aug 3, 2023 at 8:39 AM Eli Zaretskii <[email-masked]> wrote:
>
> > Cc: [email-masked], Alan Donovan <[email-masked]>
> > From: Felician Nemeth <[email-masked]>
> > Date: Sat, 15 Jul 2023 12:18:11 +0200
> >
> > >> If Eglot is installed, then it is byte-compiled as well.  The earlier
> > >> patch in this bug report made sure that the helper library ('lisp-mnt)
> > >> was required only at compile time.  However, the patch worked even if
> > >> Eglot was not installed with package.el (but Eglot still needed to be
> > >> byte-compiled).
> >
> > > I thinkt the lisp-mnt-at-compile-time solution is preferable, as I'm
> > > not sure 'eglot always lives in package-alist (sometimes it is a
> > > built-in and that is a royal pain).  Can you show an
> > > updated patch for it, when you have time, Felicián?
> >
> > I've attached the updated patch.
>
> Ping!  João, how should we proceed with this issue?
>
> Thanks.

-- 
João Távora